<template>
  <div class="hello">
    <p>{{count}}</p>
    <button @click="add()">+</button>
    <button @click="remove()">-</button>
    <p>{{total}}</p>
  </div>
</template>

<script>

import { mapState } from "vuex";


export default {

  name: 'HelloWorld',
  computed: {
    ...mapState(['count', 'total'])
    // count() {
      // return this.$store.state.count;
    // }, 
    // total() {
      // return this.$store.state.total;
    // }
  },
  methods: {
    add() {
      this.$store.dispatch('countUp');
    },
    remove() {
      if (this.count > 0) {
        this.$store.dispatch('countDown', this.count);
      }
    },
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
